FonctionsResponsable.h File Reference

fichier.h qui contient les déclarations des fonctions concernant le responsable. More...

`#include <stdio.h>`
Include dependency graph for FonctionsResponsable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | AjoutArticle (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Demande l'article a ajouter ainsi que son poid, son volume et son prix a l'utilisateur et l'ajoute au fichier "articles.don". More...
void | ModifArticle (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Demande un article au responsable puis modifie son poid, son volume et son prix dans les tables. More...
int | TableArticle (int Tref[], float Tpoid[], float Tvolume[], float Tprix[])
| Récupère le contenu du fichier "articles.don" et l'ajoute au tables concernées (Tref,Tpoid,Tvolume,Tprix) More...
void | AffichTable (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Affiche la référence, le poid, le volume et le prix de chaque produit. More...
void | AffichArticle (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Demande un article au client puis affiche sa référence, son poid, son volume et son prix. More...
int | SupprArticle (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Demande un article au client puis le supprime des tables. More...
int | posRef (int Tref[], int refR, int n)
| Recherche la position de refR dans le tableau Tref. More...
void | EcrireFichier (int Tref[], float Tpoid[], float Tvolume[], float Tprix[], int n)
| Ecrit dans le fichier "articles.don" le contenu des tables. More...
void | modifclientglobal (void)
| lance le menu global de la partie gestion fichier client. More...
int | tableaucharge (int tabNC[], float tabCAG[], int tabsuspension[], int tmax)
| charge les tableaux avec "fichierclient.don". More...
int | ajoutClient (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique, int tmax)
| permet d'ajouter un client dans les tableaux. More...
int | suspensioncarte (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique, int tmax)
| permet de suspendre OU désuspendre un client. More...
int | supressionclient (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique, int tmax)
| permet de supprimer un client. More...
int | affichageall (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique)
| permet d'afficher le contenu des tableaux. More...
int | affichagesolo (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique)
| permet d'afficher le contenu d'un tableau spécifique. More...
int | creationfichier (void)
| vérifie la présence d'un fichier , et si non le crée. More...
int | enregistrement (int tabNC[], float tabCAG[], int tabsuspension[], int *tlogique)
| lorsque l'utilisateur quitte le global , écrit les tableaux dans le fichier en écrasant le contenue précédent. More...

## Detailed Description

fichier.h qui contient les déclarations des fonctions concernant le responsable.

Author
  BARDET Ange & Cyriaque SEGERIE

Date
  11 oct 2023

## Function Documentation

## affichageall()

int affichageall | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique
| ) |  |

permet d'afficher le contenu des tableaux.

Parameters

  [in] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tlogique | pointeur de la taille logique.

Returns
  code d'erreur si une erreur apparaît.

## affichagesolo()

int affichagesolo | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique
| ) |  |

permet d'afficher le contenu d'un tableau spécifique.

Parameters

  [in] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tlogique | pointeur de la taille logique.

Returns
  code d'erreur si une erreur apparaît.

## AffichArticle()

void AffichArticle | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Demande un article au client puis affiche sa référence, son poid, son volume et son prix.

Parameters

  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | Tpoid | tableau d'entier, poids des produits.
  [in] | Tvolume | tableau d'entier, volumes des produits.
  [in] | Tprix | tableau d'entier, prix des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  Rien

## AffichTable()

void AffichTable | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Affiche la référence, le poid, le volume et le prix de chaque produit.

Parameters

  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | Tpoid | tableau d'entier, poids des produits.
  [in] | Tvolume | tableau d'entier, volumes des produits.
  [in] | Tprix | tableau d'entier, prix des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  Rien

## AjoutArticle()

int AjoutArticle | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Demande l'article a ajouter ainsi que son poid, son volume et son prix a l'utilisateur et l'ajoute au fichier "articles.don".

Parameters

  void | Rien

Returns
  Rien

## ajoutClient()

int ajoutClient | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique,
|  | int | tmax
| ) |  |

permet d'ajouter un client dans les tableaux.

Parameters

  [in,out] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in,out] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in,out] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tmax | entier, taille physique des tableaux.
  [in,out] | tlogique | pointeur de la taille logique , modifier lors de l'ajout.

Returns
  code d'erreur si une erreur apparaît.

## creationfichier()

int creationfichier | ( | void |  | ) |

vérifie la présence d'un fichier , et si non le crée.

Parameters

  void | rien

Returns
  rien

## EcrireFichier()

void EcrireFichier | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Ecrit dans le fichier "articles.don" le contenu des tables.

Parameters

  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | Tpoid | tableau d'entier, poids des produits.
  [in] | Tvolume | tableau d'entier, volumes des produits.
  [in] | Tprix | tableau d'entier, prix des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  rien.

## enregistrement()

int enregistrement | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique
| ) |  |

lorsque l'utilisateur quitte le global , écrit les tableaux dans le fichier en écrasant le contenue précédent.

Parameters

  void | rien

Returns
  rien

## ModifArticle()

void ModifArticle | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Demande un article au responsable puis modifie son poid, son volume et son prix dans les tables.

Parameters

  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in,out] | Tpoid | tableau d'entier, poids des produits.
  [in,out] | Tvolume | tableau d'entier, volumes des produits.
  [in,out] | Tprix | tableau d'entier, prix des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  Rien

## modifclientglobal()

void modifclientglobal | ( | void |  | ) |

lance le menu global de la partie gestion fichier client.

Parameters

  void | rien

Returns
  rien

## posRef()

int posRef | ( | int | Tref[],
|  | int | refR,
|  | int | n
| ) |  |

Recherche la position de refR dans le tableau Tref.

Parameters

  [in] | Tref | tableau d'entier, réfèrences des produits.
  [in] | refR | entier, réfèrence recherché dans le tableau référence.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  entier, position de la réfèrence recherché.

## SupprArticle()

int SupprArticle | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[],
|  | int | n
| ) |  |

Demande un article au client puis le supprime des tables.

Parameters

  [in,out] | Tref | tableau d'entier, réfèrences des produits.
  [out] | Tpoid | tableau d'entier, poids des produits.
  [out] | Tvolume | tableau d'entier, volumes des produits.
  [out] | Tprix | tableau d'entier, prix des produits.
  [in] | n | entier, taille logique des tableaux concernant les produits.

Returns
  entier, taille logique des tableaux concernant les produits - 1.

## supressionclient()

int supressionclient | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique,
|  | int | tmax
| ) |  |

permet de supprimer un client.

Parameters

  [in,out] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in,out] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in,out] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tmax | entier, taille physique des tableaux.
  [in,out] | tlogique | pointeur de la taille logique.

Returns
  code d'erreur si une erreur apparaît.

## suspensioncarte()

int suspensioncarte | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int * | tlogique,
|  | int | tmax
| ) |  |

permet de suspendre OU désuspendre un client.

Parameters

  [in,out] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in,out] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in,out] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tmax | entier, taille physique des tableaux.
  [in,out] | tlogique | pointeur de la taille logique , modifier lors d'un l'ajout.

Returns
  code d'erreur si une erreur apparaît.

## TableArticle()

int TableArticle | ( | int | Tref[],
|  | float | Tpoid[],
|  | float | Tvolume[],
|  | float | Tprix[]
| ) |  |

Récupère le contenu du fichier "articles.don" et l'ajoute au tables concernées (Tref,Tpoid,Tvolume,Tprix)

Parameters

  [out] | Tref | tableau d'entier, réfèrences des produits.
  [out] | Tpoid | tableau d'entier, poids des produits.
  [out] | Tvolume | tableau d'entier, volumes des produits.
  [out] | Tprix | tableau d'entier, prix des produits.

Returns
  entier, taille logique des tableaux concernant les produits.

## tableaucharge()

int tableaucharge | ( | int | tabNC[],
|  | float | tabCAG[],
|  | int | tabsuspension[],
|  | int | tmax
| ) |  |

charge les tableaux avec "fichierclient.don".

Parameters

  [in,out] | tabNC | tableau d'entier, contient les identifiant des cartes clients.
  [in,out] | tabCAG | tableau de flottant, contient les cagnottes des clients.
  [in,out] | tabsuspension | tableau d'entier, contient informations sur la suspension des cartes.
  [in] | tmax | entier, taille physique des tableaux.

Returns
  la taille logique.